org.eclipse.viatra.cep.core.metamodels.events.util

## Class EventsAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.viatra.cep.core.metamodels.events.util.EventsAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class EventsAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `EventsPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static EventsPackage` | `modelPackage` The cached model package.
    `protected EventsSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventsAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAbstractMultiplicityAdapter()` Creates a new adapter for an object of class '`Abstract Multiplicity`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createANDAdapter()` Creates a new adapter for an object of class '`AND`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAtLeastOneAdapter()` Creates a new adapter for an object of class '`At Least One`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAtomicEventPatternAdapter()` Creates a new adapter for an object of class '`Atomic Event Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createComplexEventOperatorAdapter()` Creates a new adapter for an object of class '`Complex Event Operator`'.
    `org.eclipse.emf.common.notify.Adapter` | `createComplexEventPatternAdapter()` Creates a new adapter for an object of class '`Complex Event Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createEventAdapter()` Creates a new adapter for an object of class '`Event`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEventModelAdapter()` Creates a new adapter for an object of class '`Event Model`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEventPatternAdapter()` Creates a new adapter for an object of class '`Event Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEventPatternReferenceAdapter()` Creates a new adapter for an object of class '`Event Pattern Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEventSourceAdapter()` Creates a new adapter for an object of class '`Event Source`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFOLLOWSAdapter()` Creates a new adapter for an object of class '`FOLLOWS`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInfiniteAdapter()` Creates a new adapter for an object of class '`Infinite`'.
    `org.eclipse.emf.common.notify.Adapter` | `createMultiplicityAdapter()` Creates a new adapter for an object of class '`Multiplicity`'.
    `org.eclipse.emf.common.notify.Adapter` | `createNEGAdapter()` Creates a new adapter for an object of class '`NEG`'.
    `org.eclipse.emf.common.notify.Adapter` | `createORAdapter()` Creates a new adapter for an object of class '`OR`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTimewindowAdapter()` Creates a new adapter for an object of class '`Timewindow`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static EventsPackage modelPackage

      The cached model package.
      Generated:

    - #### modelSwitch

          protected EventsSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated:

  - ### Constructor Detail

    - #### EventsAdapterFactory

          public EventsAdapterFactory()

      Creates an instance of the adapter factory.
      Generated:

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated:

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated:

    - #### createEventModelAdapter

          public org.eclipse.emf.common.notify.Adapter createEventModelAdapter()

      Creates a new adapter for an object of class '`Event Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EventModel`
      Generated:

    - #### createEventPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createEventPatternAdapter()

      Creates a new adapter for an object of class '`Event Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EventPattern`
      Generated:

    - #### createAtomicEventPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createAtomicEventPatternAdapter()

      Creates a new adapter for an object of class '`Atomic Event Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AtomicEventPattern`
      Generated:

    - #### createComplexEventPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createComplexEventPatternAdapter()

      Creates a new adapter for an object of class '`Complex Event Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ComplexEventPattern`
      Generated:

    - #### createEventPatternReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createEventPatternReferenceAdapter()

      Creates a new adapter for an object of class '`Event Pattern Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EventPatternReference`
      Generated:

    - #### createEventAdapter

          public org.eclipse.emf.common.notify.Adapter createEventAdapter()

      Creates a new adapter for an object of class '`Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Event`
      Generated:

    - #### createEventSourceAdapter

          public org.eclipse.emf.common.notify.Adapter createEventSourceAdapter()

      Creates a new adapter for an object of class '`Event Source`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EventSource`
      Generated:

    - #### createComplexEventOperatorAdapter

          public org.eclipse.emf.common.notify.Adapter createComplexEventOperatorAdapter()

      Creates a new adapter for an object of class '`Complex Event Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ComplexEventOperator`
      Generated:

    - #### createORAdapter

          public org.eclipse.emf.common.notify.Adapter createORAdapter()

      Creates a new adapter for an object of class '`OR`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `OR`
      Generated:

    - #### createNEGAdapter

          public org.eclipse.emf.common.notify.Adapter createNEGAdapter()

      Creates a new adapter for an object of class '`NEG`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NEG`
      Generated:

    - #### createFOLLOWSAdapter

          public org.eclipse.emf.common.notify.Adapter createFOLLOWSAdapter()

      Creates a new adapter for an object of class '`FOLLOWS`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FOLLOWS`
      Generated:

    - #### createANDAdapter

          public org.eclipse.emf.common.notify.Adapter createANDAdapter()

      Creates a new adapter for an object of class '`AND`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AND`
      Generated:

    - #### createTimewindowAdapter

          public org.eclipse.emf.common.notify.Adapter createTimewindowAdapter()

      Creates a new adapter for an object of class '`Timewindow`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Timewindow`
      Generated:

    - #### createAbstractMultiplicityAdapter

          public org.eclipse.emf.common.notify.Adapter createAbstractMultiplicityAdapter()

      Creates a new adapter for an object of class '`Abstract Multiplicity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AbstractMultiplicity`
      Generated:

    - #### createMultiplicityAdapter

          public org.eclipse.emf.common.notify.Adapter createMultiplicityAdapter()

      Creates a new adapter for an object of class '`Multiplicity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Multiplicity`
      Generated:

    - #### createInfiniteAdapter

          public org.eclipse.emf.common.notify.Adapter createInfiniteAdapter()

      Creates a new adapter for an object of class '`Infinite`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Infinite`
      Generated:

    - #### createAtLeastOneAdapter

          public org.eclipse.emf.common.notify.Adapter createAtLeastOneAdapter()

      Creates a new adapter for an object of class '`At Least One`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AtLeastOne`
      Generated:

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated: